Qt 5.7 | Qt 3D | C++ Classes | QStencilTest

Qt 5.7.1 Reference Documentation

# QStencilTest Class

(Qt3DRender::QStencilTest)

The QStencilTest class More...

Header: | #include <QStencilTest>
Since: | Qt 5.7
Inherits: | QRenderState

- List of all members, including inherited members

## Properties

- back : Qt3DRender::QStencilTestArguments * const
- front : Qt3DRender::QStencilTestArguments * const

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QStencilTest(Qt3DCore::QNode *parent = nullptr)
QStencilTestArguments * | back() const
QStencilTestArguments * | front() const

- 6 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 public slots inherited from Qt3DCore::QNode
- 3 signals inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

The QStencilTest class

## Property Documentation

### back : Qt3DRender::QStencilTestArguments * const

Access functions:

QStencilTestArguments * | back() const

### front : Qt3DRender::QStencilTestArguments * const

Access functions:

QStencilTestArguments * | front() const

## Member Function Documentation

### QStencilTest::QStencilTest(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QStencilTest.

### QStencilTestArguments *QStencilTest::back() const

Returns the stencil test for the back

Note: Getter function for property back.

### QStencilTestArguments *QStencilTest::front() const

Returns the stencil test for the front

Note: Getter function for property front.